package org.jetbrains.kotlinx.statistics.kandy.layers.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.letsplot.layers.builders.BarsBuilder
import org.jetbrains.kotlinx.statistics.kandy.util.addDataset
import org.jetbrains.kotlinx.statistics.plotting.count.models.*

@Suppress("INVISIBLE_MEMBER")
class CountPlotLayerBuilder<T>(
    parent: LayerCreatorScope,
    statCountFrame: StatCountFrame<T>
) : BarsBuilder(parent, parent.addDataset(statCountFrame)), WithStatCount<T> by statCountFrame
