package org.jetbrains.kotlinx.statistics.kandy.layers.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.letsplot.layers.builders.BarsBuilder
import org.jetbrains.kotlinx.statistics.kandy.util.addDataset
import org.jetbrains.kotlinx.statistics.plotting.count.models.StatCountGroupBy
import org.jetbrains.kotlinx.statistics.plotting.count.models.WithStatCountGrouped

@Suppress("INVISIBLE_MEMBER")
class CountPlotLayerGroupedBuilder<T, X> (parent: LayerCreatorScope, statCountGroupBy: StatCountGroupBy<T, X>)
    : BarsBuilder(parent, parent.addDataset(statCountGroupBy)), WithStatCountGrouped<T, X> by statCountGroupBy
