package org.jetbrains.kotlinx.statistics.kandy.layers.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.letsplot.layers.builders.AreaBuilder
import org.jetbrains.kotlinx.statistics.kandy.util.addDataset
import org.jetbrains.kotlinx.statistics.plotting.density.models.StatDensityFrame
import org.jetbrains.kotlinx.statistics.plotting.density.models.WithStatDensity

@Suppress("INVISIBLE_MEMBER")
class DensityPlotLayerBuilder(parent: LayerCreatorScope, statDensityFrame: StatDensityFrame)
    : AreaBuilder(parent, parent.addDataset(statDensityFrame)), WithStatDensity by statDensityFrame
