package org.jetbrains.kotlinx.statistics.plotting.boxplotOutliers.models

import org.jetbrains.kotlinx.dataframe.ColumnsContainer
import org.jetbrains.kotlinx.dataframe.DataColumn
import org.jetbrains.kotlinx.dataframe.columns.ColumnGroup

interface WithStatBoxplotOutliers<T>: ColumnsContainer<StatBoxplotOutliers<T>> {
    public val Stat: StatHolder<T>

    public class StatHolder<T>(private val cg: ColumnGroup<BoxplotOutliersStatistics<T>>): ColumnGroup<BoxplotOutliersStatistics<T>> by cg {
        val x: DataColumn<T> = cg["x"] as DataColumn<T>
        val y: DataColumn<Double> = cg["y"] as DataColumn<Double>
    }
}