package org.jetbrains.kotlinx.statistics.plotting.candlestick.models

import org.jetbrains.kotlinx.dataframe.DataFrame
import org.jetbrains.kotlinx.dataframe.api.asColumnGroup
import org.jetbrains.kotlinx.dataframe.columns.ColumnGroup


class StatCandlestickFrame<X>(private val df: DataFrame<StatCandlestick<X>>) : WithStatCandlestick<X>, DataFrame<StatCandlestick<X>> by df {
    override val Stat = WithStatCandlestick.StatHolder(df["Stat"].asColumnGroup() as ColumnGroup<CandlestickStatistics<X>>)
}
