package org.jetbrains.kotlinx.statistics.plotting.count2d.models

import org.jetbrains.kotlinx.dataframe.DataColumn
import org.jetbrains.kotlinx.dataframe.DataFrame
import org.jetbrains.kotlinx.dataframe.api.asColumnGroup
import org.jetbrains.kotlinx.dataframe.columns.ColumnGroup

class StatCount2DFrame<X, Y>(private val df: DataFrame<StatCount2D<X, Y>>)
    : WithStatCount2D<X, Y>, DataFrame<StatCount2D<X, Y>> by df {

    public override val Stat: WithStatCount2D.StatHolder<X, Y> = WithStatCount2D.StatHolder(df["Stat"].asColumnGroup() as ColumnGroup<Count2DStatistics<X, Y>>)

}
