package org.jetbrains.kotlinx.statistics.plotting.density.models

import org.jetbrains.kotlinx.dataframe.DataFrame
import org.jetbrains.kotlinx.dataframe.api.asColumnGroup
import org.jetbrains.kotlinx.dataframe.columns.ColumnGroup

class StatDensityFrame(private val df: DataFrame<StatDensity>)
    : WithStatDensity, DataFrame<StatDensity> by df {

    public override val Stat: WithStatDensity.StatHolder =
        WithStatDensity.StatHolder(df["Stat"].asColumnGroup() as ColumnGroup<DensityStatistics>)
}
