package org.jetbrains.kotlinx.statistics.selectors

import org.jetbrains.kotlinx.dataframe.ColumnsContainer
import org.jetbrains.kotlinx.dataframe.DataColumn
import org.jetbrains.kotlinx.dataframe.DataFrame

class StatXNumYNumSelector<T>(df: DataFrame<T>) : ColumnsContainer<T> by df {
    @PublishedApi
    internal lateinit var x: DataColumn<Number>
    fun x(column: DataColumn<Number>) {
        x = column
    }

    @PublishedApi
    internal lateinit var y: DataColumn<Number>
    fun y(column: DataColumn<Number>) {
        y = column
    }
}


typealias StatXNumYNumSelectorDSL<T> = StatXNumYNumSelector<T>.() -> Unit
