package org.jetbrains.kotlinx.statistics.distribution

class NormalDistribution(val mean: Double = 0.0, val standardDeviation: Double = 1.0) {
    private val math3Distribution = org.jetbrains.kotlinx.statistics.math3.distribution.NormalDistribution(mean, standardDeviation)
    fun sample(size: Int): DoubleArray {
        return math3Distribution.sample(size)
    }
    fun pdf(x: Double): Double {
        return math3Distribution.density(x)
    }
}