package org.jetbrains.kotlinx.statistics.math3.util

import kotlin.math.floor

fun rint(x: Double): Double {
    val y: Double = floor(x)
    val d = x - y
    if (d > 0.5) {
        return if (y == -1.0) {
            -0.0 // Preserve sign of operand
        } else y + 1.0
    }
    if (d < 0.5) {
        return y
    }

    /* half way, round to even */
    val z = y.toLong()
    return if (z and 1L == 0L) y else y + 1.0
}