package org.jetbrains.kotlinx.statistics.stats

import org.jetbrains.kotlinx.statistics.math3.stat.descriptive.DescriptiveStatistics
import kotlin.jvm.JvmName

@JvmName("mean_ext")
fun Iterable<Number>.mean(): Double {
    return DescriptiveStatistics(map {it.toDouble()}.toDoubleArray()).mean
}

fun mean(sample: Iterable<Number>): Double {
    return sample.mean()
}