package org.jetbrains.kotlinx.statistics.stats

import org.jetbrains.kotlinx.statistics.math3.stat.descriptive.DescriptiveStatistics
import kotlin.jvm.JvmName

@JvmName("variance_ext")
fun Iterable<Number>.variance(): Double {
    return DescriptiveStatistics(map {it.toDouble()}.toDoubleArray()).variance
}

fun variance(sample: Iterable<Number>): Double {
    return sample.variance()
}