package org.jetbrains.kotlinx.statistics.test.t

import org.jetbrains.kotlinx.statistics.math3.stat.inference.TTest

fun tTestRel(sample1: Iterable<Number>, sample2: Iterable<Number>): TTestResult {
    val data1 = sample1.map { it.toDouble() }.toDoubleArray()
    val data2 = sample2.map { it.toDouble() }.toDoubleArray()
    return TTestResult(
        TTest().pairedT(data1, data2),
        TTest().pairedTTest(data1, data2)
    )
}
