package org.jetbrains.kotlinx.statistics.dataframe.test.t

import org.jetbrains.kotlinx.dataframe.DataColumn
import org.jetbrains.kotlinx.dataframe.api.map
import org.jetbrains.kotlinx.dataframe.api.toDoubleArray
import org.jetbrains.kotlinx.dataframe.values
import org.jetbrains.kotlinx.statistics.math3.stat.inference.TTest
import org.jetbrains.kotlinx.statistics.test.t.*
import kotlin.jvm.JvmName

fun tTest(sample: DataColumn<Number>, mu: Double): TTestResult {
    return tTest(sample.values, mu)
}

@JvmName("t_test_ext")
fun DataColumn<Number>.tTest(mu: Double): TTestResult {
    return tTest(this, mu)
}
