package org.jetbrains.kotlinx.statistics.kandy.layers.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.letsplot.layers.builders.AreaBuilder
import org.jetbrains.kotlinx.statistics.kandy.util.addDataset
import org.jetbrains.kotlinx.statistics.plotting.density.models.StatDensityGroupBy
import org.jetbrains.kotlinx.statistics.plotting.density.models.WithStatDensityGrouped

@Suppress("INVISIBLE_MEMBER")
class DensityPlotLayerGroupedBuilder<T>(parent: LayerCreatorScope, groupBy: StatDensityGroupBy<T>)
    : AreaBuilder(parent, parent.addDataset(groupBy)), WithStatDensityGrouped<T> by groupBy
