package org.jetbrains.kotlinx.statistics.kandy.layers.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.letsplot.layers.builders.TilesBuilder
import org.jetbrains.kotlinx.statistics.kandy.util.addDataset
import org.jetbrains.kotlinx.statistics.plotting.count2d.models.StatCount2DFrame
import org.jetbrains.kotlinx.statistics.plotting.count2d.models.WithStatCount2D

@Suppress("INVISIBLE_MEMBER")
class HeatmapBuilder<T, R> (parent: LayerCreatorScope, statCount2DFrame: StatCount2DFrame<T, R>)
    : TilesBuilder(parent, parent.addDataset(statCount2DFrame)), WithStatCount2D<T, R> by statCount2DFrame
