package org.jetbrains.kotlinx.statistics.kandy.layers.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.letsplot.layers.builders.BarsBuilder
import org.jetbrains.kotlinx.statistics.kandy.util.addDataset
import org.jetbrains.kotlinx.statistics.plotting.bin.models.StatBinFrame
import org.jetbrains.kotlinx.statistics.plotting.bin.models.WithStatBin

@Suppress("INVISIBLE_MEMBER")
class HistogramBuilder @PublishedApi internal constructor(parent: LayerCreatorScope, statBinFrame: StatBinFrame)
    : BarsBuilder(parent, parent.addDataset(statBinFrame)), WithStatBin by statBinFrame {
}
