package org.jetbrains.kotlinx.statistics.kandy.layers.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.letsplot.layers.builders.LineBuilder
import org.jetbrains.kotlinx.statistics.kandy.util.addDataset
import org.jetbrains.kotlinx.statistics.plotting.smooth.models.StatSmoothGroupBy
import org.jetbrains.kotlinx.statistics.plotting.smooth.models.WithStatSmoothGrouped

@Suppress("INVISIBLE_MEMBER")
class SmoothLineGroupedBuilder<T>(parent: LayerCreatorScope, groupBy: StatSmoothGroupBy<T>)
    : LineBuilder(parent, parent.addDataset(groupBy)),
    WithStatSmoothGrouped<T> by groupBy
