package org.jetbrains.kotlinx.statistics.kandy.layers.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.letsplot.layers.builders.LineBuilder
import org.jetbrains.kotlinx.statistics.kandy.util.addDataset
import org.jetbrains.kotlinx.statistics.plotting.smooth.models.StatSmoothFrame
import org.jetbrains.kotlinx.statistics.plotting.smooth.models.WithStatSmooth

@Suppress("INVISIBLE_MEMBER")
class SmoothLineLayerContext(parent: LayerCreatorScope, statSmoothFrame: StatSmoothFrame)
    : LineBuilder(parent, parent.addDataset(statSmoothFrame)), WithStatSmooth by statSmoothFrame
