package org.jetbrains.kotlinx.statistics.kandy.stattransform.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.dsl.internal.dataframe.*
import org.jetbrains.kotlinx.statistics.plotting.candlestick.models.StatCandlestickFrame
import org.jetbrains.kotlinx.statistics.plotting.candlestick.models.WithStatCandlestick

@Suppress("INVISIBLE_MEMBER")
public class StatCandlestickLayerCreatorScope<X>(
    private val df: StatCandlestickFrame<X>,
    parent: LayerCreatorScope,
) : StatScope(parent, NamedData(df)), WithStatCandlestick<X> by df
