package org.jetbrains.kotlinx.statistics.kandy.stattransform.context

import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.dsl.internal.MultiLayerPlotBuilder
import org.jetbrains.kotlinx.kandy.ir.data.TableData

@Suppress("INVISIBLE_MEMBER", "CANNOT_OVERRIDE_INVISIBLE_MEMBER")
public abstract class StatScope internal constructor(parent: LayerCreatorScope, data: TableData): LayerCreatorScope()  {
    override val plotBuilder: MultiLayerPlotBuilder = parent.plotBuilder
    override val datasetIndex: Int = parent.plotBuilder.addDataset(data)
    override val layersInheritMappings: Boolean = false
}
