package org.jetbrains.kotlinx.statistics.kandy.util

import org.jetbrains.kotlinx.dataframe.DataFrame
import org.jetbrains.kotlinx.dataframe.api.GroupBy
import org.jetbrains.kotlinx.kandy.dsl.internal.LayerCreatorScope
import org.jetbrains.kotlinx.kandy.dsl.internal.dataframe.*

@Suppress("INVISIBLE_MEMBER")
internal fun LayerCreatorScope.addDataset(df: DataFrame<*>): Int {
    return plotBuilder.addDataset(NamedData(df))
}

@Suppress("INVISIBLE_MEMBER")
internal fun LayerCreatorScope.addDataset(gb: GroupBy<*, *>): Int {
    return plotBuilder.addDataset(GroupedData(gb))
}
