package org.jetbrains.kotlinx.statistics.kandy.util

import org.jetbrains.kotlinx.kandy.letsplot.settings.LineType
import org.jetbrains.kotlinx.kandy.util.color.Color
import org.jetbrains.kotlinx.kandy.util.context.SelfInvocationContext

data class CandlestickBorderLine(
    var color: Color,
    var type: LineType = LineType.SOLID,
    var width: Double = 0.6,
): SelfInvocationContext

data class CandlestickConfiguration(
    var fillColor: Color,
    val borderLine: CandlestickBorderLine,
    var alpha: Double = 1.0,
) : SelfInvocationContext
