package org.jetbrains.kotlinx.statistics.plotting.bin.models

import org.jetbrains.kotlinx.dataframe.DataFrame
import org.jetbrains.kotlinx.dataframe.api.asColumnGroup
import org.jetbrains.kotlinx.dataframe.columns.ColumnGroup


class StatBinFrame(private val df: DataFrame<StatBin>) : WithStatBin, DataFrame<StatBin> by df {
    override val Stat = WithStatBin.StatHolder(df["Stat"].asColumnGroup() as ColumnGroup<BinStatistics>)
}
