package org.jetbrains.kotlinx.statistics.plotting.boxplot.models

import org.jetbrains.kotlinx.dataframe.annotations.DataSchema

@DataSchema
data class BoxplotStatistics<T>(
    val x: T,
    val min: Double,
    val lower: Double,
    val middle: Double,
    val upper: Double,
    val max: Double,
)