package org.jetbrains.kotlinx.statistics.plotting.candlestick.models

import org.jetbrains.kotlinx.dataframe.annotations.DataSchema

@DataSchema
data class CandlestickStatistics<T>(
    val x: T,
    val open: Double,
    val close: Double,
    val min: Double,
    val lower: Double,
    val upper: Double,
    val max: Double,
    val isIncreased: Boolean
)
