package org.jetbrains.kotlinx.statistics.plotting.count.models

import org.jetbrains.kotlinx.dataframe.DataFrame
import org.jetbrains.kotlinx.dataframe.api.asColumnGroup
import org.jetbrains.kotlinx.dataframe.columns.ColumnGroup

class StatCountFrame<T>(private val df: DataFrame<StatCount<T>>)
    : WithStatCount<T>, DataFrame<StatCount<T>> by df {


    public override val Stat: WithStatCount.StatHolder<T> =
        WithStatCount.StatHolder(df["Stat"].asColumnGroup() as ColumnGroup<CountStatistics<T>>)
}
