package org.jetbrains.kotlinx.statistics.plotting.density.models

import org.jetbrains.kotlinx.dataframe.annotations.DataSchema

@DataSchema
data class DensityStatistics(
    val x: Double,
    val density: Double,
    val densityWeighted: Double,
    val scaled: Double,
    val scaledWeighted: Double,
    val count: Double,
    val countWeighted: Double,
)
