package org.jetbrains.kotlinx.statistics.plotting.smooth.models

import org.jetbrains.kotlinx.dataframe.DataFrame
import org.jetbrains.kotlinx.dataframe.api.asColumnGroup
import org.jetbrains.kotlinx.dataframe.columns.ColumnGroup

public class StatSmoothFrame(private val df: DataFrame<StatSmooth>) : WithStatSmooth, DataFrame<StatSmooth> by df {
    override val Stat = WithStatSmooth.StatHolder(df["Stat"].asColumnGroup() as ColumnGroup<SmoothStatistics>)
}